Bug 487645 - Review Request: mediawiki-wikicalendar - Simple calendar extension for mediawiki
Review Request: mediawiki-wikicalendar - Simple calendar extension for mediawiki
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 03:11 EST by Christof Damian
Modified: 2009-03-04 02:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 02:24:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christof Damian 2009-02-27 03:11:59 EST
Spec URL: http://rpms.damian.net/SPECS/mediawiki-wikicalendar.spec
SRPM URL: http://rpms.damian.net/SRPMS/mediawiki-wikicalendar-1.15-1.fc10.src.rpm
Description: 

The extension adds an <calendar> tag to the mediawiki syntax which can show
calendars in different formats.

The idea was to keep the calendar as simple as possible and leave all
the editing and page creation to mediawiki. It doesn't require any new
database tables or files.
Comment 1 Parag AN(पराग) 2009-02-27 06:33:02 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1204564
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
f99d5fa46be90862952e8f914e217f4d  wikicalendar-1.15.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:
1) License tag should be GPLv2+

APPROVED.
Comment 2 Christof Damian 2009-02-27 09:17:59 EST
New Package CVS Request
=======================
Package Name: mediawiki-wikicalendar
Short Description: Simple calendar extension for mediawiki
Owners: cdamian
Branches: F-10 EL-5
InitialCC:
Comment 3 Kevin Fenzi 2009-02-28 18:45:54 EST
cvs done.
Comment 4 Parag AN(पराग) 2009-03-04 00:04:34 EST
can you close this review now as packages are built in cvs?
Comment 5 Christof Damian 2009-03-04 02:24:57 EST
closing now

Note You need to log in before you can comment on or make changes to this bug.